Infront Data Manager Connect Client (.NET)

Properties | List of all members
Gevasys.DataCore.Configuration.Configuration Class Reference

All configuration properties for the Data Manager Connect client More...

## Properties
string | UserId`[get, set]`
| The VWD User-ID of this client More...
string | Password`[get, set]`
| The password used by this client More...
string | PrimaryUrl`[get, set]`
| Primary URL of DMC-Server used by this client More...
string | SecondaryUrl`[get, set]`
| Secondary URL of DMC-Server used by this client More...
string | RequestTimeout`[get, set]`
| RequestTimeout used by this client More...
string | FingerprintPrimary`[get, set]`
| Fingerprint of the certificate of primary URL More...
string | FingerprintSecondary`[get, set]`
| Fingerprint of the certificate of secondary URL More...
bool | DisableCertificateCheck = true`[get, set]`
| Should certificate validation checks be disabled? More...
bool | DisableKeepAlive = false`[get, set]`
| Disable complete keep-alive mechanism? More...
ProxyConfiguration | Proxy = new ProxyConfiguration()`[get, set]`
| Proxy configuration More...

## Detailed Description

All configuration properties for the Data Manager Connect client

## Property Documentation

## ◆ DisableCertificateCheck

bool Gevasys.DataCore.Configuration.Configuration.DisableCertificateCheck = true
| get set

Should certificate validation checks be disabled?

## ◆ DisableKeepAlive

bool Gevasys.DataCore.Configuration.Configuration.DisableKeepAlive = false
| get set

Disable complete keep-alive mechanism?

## ◆ FingerprintPrimary

string Gevasys.DataCore.Configuration.Configuration.FingerprintPrimary
| get set

Fingerprint of the certificate of primary URL

## ◆ FingerprintSecondary

string Gevasys.DataCore.Configuration.Configuration.FingerprintSecondary
| get set

Fingerprint of the certificate of secondary URL

## ◆ Password

string Gevasys.DataCore.Configuration.Configuration.Password
| get set

The password used by this client

## ◆ PrimaryUrl

string Gevasys.DataCore.Configuration.Configuration.PrimaryUrl
| get set

Primary URL of DMC-Server used by this client

## ◆ Proxy

ProxyConfiguration Gevasys.DataCore.Configuration.Configuration.Proxy = new ProxyConfiguration()
| get set

Proxy configuration

## ◆ RequestTimeout

string Gevasys.DataCore.Configuration.Configuration.RequestTimeout
| get set

RequestTimeout used by this client

## ◆ SecondaryUrl

string Gevasys.DataCore.Configuration.Configuration.SecondaryUrl
| get set

Secondary URL of DMC-Server used by this client

## ◆ UserId

string Gevasys.DataCore.Configuration.Configuration.UserId
| get set

The VWD User-ID of this client

The documentation for this class was generated from the following file:

- ConfigurationHelper.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1